Organization settings

Get Org Settings

Reads timezone, token totals, unallocated-token flag, multi-currency invoice flag and non-secret Okta settings.

GEThttps://api.toku.com/hris/get-org-settings

Required scope: organization:read

curl --request GET \
  --url 'https://api.toku.com/hris/get-org-settings' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "timezone": "string",
  "totalTokens": "string",
  "shouldShowUnallocatedTokens": true,
  "enableMultiCurrencyInvoices": true,
  "requireInvoiceWorkSummary": true,
  "isOktaEnabled": true,
  "oktaClientId": "string",
  "oktaIssuerUrl": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
timezonestringrequired
totalTokensstring | nullrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

shouldShowUnallocatedTokensboolean | nullrequired
enableMultiCurrencyInvoicesbooleanrequired
requireInvoiceWorkSummarybooleanrequired
isOktaEnabledbooleanrequired
oktaClientIdstring | nullrequired
oktaIssuerUrlstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits